﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using Telerik.Windows.Controls.Calendar;
using System;
using System.Windows.Media;
using Telerik.Windows.Controls;

namespace DatePickerWPF
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();

			this.DataContext = new DateViewModel { SelectedDate = DateTime.Today, SelectableDateStart = DateTime.Today.AddDays(-30) };
		}
	}

	public class DateViewModel : ViewModelBase
	{
		private DateTime selectedDate;
		private DateTime selectableDateStart;

		public DateTime SelectedDate
		{
			get
			{
				return selectedDate;
			}
			set
			{
				if (selectedDate != value)
				{
					selectedDate = value;
					this.OnPropertyChanged("SelectedDate");

					this.IsReadOnly = value < SelectableDateStart;
					this.OnPropertyChanged("IsReadOnly");
				}
			}
		}

		public DateTime SelectableDateStart
		{
			get
			{
				return selectableDateStart;
			}
			set
			{
				if (selectableDateStart != value)
				{
					selectableDateStart = value;
					this.OnPropertyChanged("SelectableDateStart");
				}
			}
		}

		public bool IsReadOnly { get; set; }
	}
}
